## reqwest 0.3.3

=== Makefile ===
.PHONY: boosh test

boosh:
	npm run-script boosh

test:
	npm test

=== debian/changelog ===
reqwest (0.3.3-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Wed, 16 Nov 2011 23:13:46 +0100

reqwest (0.3.2-1) unstable; urgency=low

  * Initial release (Closes: #646689)

 -- David Paleino <dapal@debian.org>  Wed, 26 Oct 2011 11:36:52 +0200

=== debian/control ===
Source: reqwest
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , dh-buildinfo
Build-Depends-Indep:
 libnode-uglify | node-uglify
Standards-Version: 3.9.2
Homepage: https://github.com/ded/reqwest
Vcs-Git: git://git.debian.org/collab-maint/reqwest.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/reqwest.git;a=summary

Package: libjs-reqwest
Architecture: all
Depends:
 ${misc:Depends}
Recommends:
 javascript-common
Description: javascript wrapper for asynchronous HTTP requests
 Reqwest is a Javascript wrapper for asynchronous HTTP requests.

## reqwest 0.4.3

=== Makefile ===
.PHONY: boosh test

boosh:
	smoosh make ./build.json

test:
	npm test

=== debian/changelog ===
reqwest (0.4.3-1) unstable; urgency=low

  * New upstream version
  * Updated debian/copyright
  * Standards-Version bump to 3.9.3, no changes needed

 -- David Paleino <dapal@debian.org>  Sun, 08 Apr 2012 23:23:26 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  , dh-buildinfo
 Build-Depends-Indep:
  libnode-uglify | node-uglify
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://github.com/ded/reqwest
 Vcs-Git: git://git.debian.org/collab-maint/reqwest.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/reqwest.git;a=summary

## reqwest 0.6.0

=== Makefile ===
.PHONY: boosh test

boosh:
	node_modules/smoosh/bin/smoosh make build.json

test:
	npm test

=== debian/changelog ===
reqwest (0.6.0-2) unstable; urgency=medium

  * Team upload

  [ lintian-brush ]
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 8 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers to use salsa repository.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf
  * Modernize debian/watch
  * Replace deprecated node-uglify by uglifyjs (Closes: #979956)

 -- Xavier Guimard <yadd@debian.org>  Wed, 13 Jan 2021 14:24:08 +0100

reqwest (0.6.0-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 18:06:59 +0100

reqwest (0.6.0-1) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Fix build-depend on node-uglify (not libnode-uglify).

  [ David Paleino ]
  * New upstream version.
  * Standards-Version bump to 3.9.4, no changes needed.
  * Updated debian/copyright.

 -- David Paleino <dapal@debian.org>  Fri, 07 Dec 2012 22:43:50 +0100

=== debian/control ===
Source: reqwest
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-buildinfo
Build-Depends-Indep:
 uglifyjs
Standards-Version: 4.5.1
Homepage: https://github.com/ded/reqwest
Vcs-Git: https://salsa.debian.org/js-team/reqwest.git
Vcs-Browser: https://salsa.debian.org/js-team/reqwest
Rules-Requires-Root: no

Package: libjs-reqwest
Architecture: all
Depends:
 ${misc:Depends}
Recommends:
 javascript-common
Description: javascript wrapper for asynchronous HTTP requests
 Reqwest is a Javascript wrapper for asynchronous HTTP requests.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install
	dh_buildinfo

override_dh_auto_build:
	uglifyjs \
		-o $(CURDIR)/debian/reqwest.min.js \
		$(CURDIR)/reqwest.js

override_dh_auto_test:
	# do nothing

=== debian/watch ===
version=4
https://alioth.debian.org/~dapal/npmjs.php?id=reqwest \
	http://registry.npmjs.org/reqwest/-/reqwest-(\d+.*).tgz

## reqwest 2.0.5+dfsg

=== Makefile ===
.PHONY: boosh test

boosh:
	@node -e "var json = require('./build');json.JSHINT_OPTS=JSON.parse(require('fs').readFileSync('./.jshintrc'));require('fs').writeFileSync('./build.json', JSON.stringify(json, null, 2))"
	@node_modules/smoosh/bin/smoosh make build.json

test:
	npm test

bump: boosh
	npm version patch
	node make/bump

publish:
	npm publish
	git push origin master --tags

=== debian/changelog ===
reqwest (2.0.5+dfsg-2) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.2
  * Stop using dh_buildinfo (Closes: #1089901)

 -- Yadd <yadd@debian.org>  Sun, 06 Apr 2025 16:47:24 +0200

reqwest (2.0.5+dfsg-1) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.0, no changes needed.
  * Fix d/watch
  * Exclude minified files from import
  * New upstream version 2.0.5+dfsg

 -- Yadd <yadd@debian.org>  Thu, 04 Nov 2021 09:07:45 +0100

reqwest (0.6.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libjs-reqwest: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 29 Aug 2021 00:04:29 +0100

=== debian/control ===
Source: reqwest
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends: debhelper-compat (= 13),
Build-Depends-Indep:
 uglifyjs
Standards-Version: 4.7.2
Homepage: https://github.com/ded/reqwest
Vcs-Git: https://salsa.debian.org/js-team/reqwest.git
Vcs-Browser: https://salsa.debian.org/js-team/reqwest
Rules-Requires-Root: no

Package: libjs-reqwest
Architecture: all
Depends:
 ${misc:Depends}
Recommends:
 javascript-common
Multi-Arch: foreign
Description: javascript wrapper for asynchronous HTTP requests
 Reqwest is a Javascript wrapper for asynchronous HTTP requests.

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,6 @@
 %:
 	dh $@
 
-override_dh_install:
-	dh_install
-	dh_buildinfo
-
 override_dh_auto_build:
 	uglifyjs \
 		-o $(CURDIR)/debian/reqwest.min.js \

=== debian/watch ===
version=4
# It is not recommended use npmregistry. Please investigate more.
# Origin url: https://github.com/ded/reqwest
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,pgpmode=none,repacksuffix=+dfsg,dversionmangle=auto" \
 https://registry.npmjs.org/reqwest \
 https://registry.npmjs.org/reqwest/-/reqwest-(\d[\d\.]*)@ARCHIVE_EXT@
